# $Revision: 1.30 $, $Date: 2012/04/18 20:15:21 $
Summary:	VNC client for the GNOME desktop
Summary(pl.UTF-8):	Klient VNC dla środowiska GNOME
Name:		vinagre
Version:	3.4.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vinagre/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	68b895ab91adbb03b261db5d9ca0492a
URL:		http://www.gnome.org/projects/vinagre/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	avahi-gobject-devel >= 0.6.26
BuildRequires:	avahi-ui-gtk3-devel >= 0.6.26
BuildRequires:	dbus-glib-devel
BuildRequires:	docbook-dtd43-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtk+3-devel >= 3.0.3
BuildRequires:	gtk3-vnc-devel >= 0.4.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgnome-keyring-devel >= 2.24.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig >= 1:0.24
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	spice-gtk-devel >= 0.5
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.12.0
BuildRequires:	vte-devel >= 0.28.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	shared-mime-info
Requires:	hicolor-icon-theme
Suggests:	gnome-icon-theme
Obsoletes:	gnome-applet-vinagre
Obsoletes:	vinagre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vinagre is a VNC client for the GNOME desktop environment.

%description -l pl.UTF-8
Vinagre to klient VNC dla środowiska graficznego GNOME.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	SSH_PROGRAM=%{_bindir}/ssh \
	RDESKTOP_PROGRAM=%{_bindir}/rdesktop \
	--with-avahi \
	--with-telepathy \
	--enable-spice \
	--disable-silent-rules \
	--disable-schemas-compile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang vinagre --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor

%files -f vinagre.lang
%defattr(644,root,root,755)
%doc README NEWS COPYING AUTHORS
%attr(755,root,root) %{_bindir}/vinagre
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_desktopdir}/vinagre-file.desktop
%{_desktopdir}/vinagre.desktop
%{_datadir}/GConf/gsettings/org.gnome.Vinagre.convert
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%{_datadir}/glib-2.0/schemas/org.gnome.Vinagre.gschema.xml
%{_datadir}/mime/packages/*.xml
%{_datadir}/telepathy/clients/Vinagre.client
%{_datadir}/vinagre
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vinagre.spec,v $
Revision 1.30  2012/04/18 20:15:21  megabajt
- updated to 3.4.1

Revision 1.29  2012/04/01 17:39:00  megabajt
- updated to 3.4.0

Revision 1.28  2012/01/22 00:09:39  zbyniu
- up to 3.2.2

Revision 1.27  2011/10/23 11:48:35  wiget
- removed subpackages with devel and applet (dropped upstream)

Revision 1.26  2011/10/23 11:46:41  wiget
- up to 3.2.1

Revision 1.25  2011/07/16 10:37:20  megabajt
- updated to 3.0.2
- removed TODO - described behaviour does not occur in this version

Revision 1.24  2011/04/22 15:22:16  glen
- present with vinagre-2.30.3-2.x86_64

Revision 1.23  2011/04/22 15:09:24  glen
- some old todo, perhaps still valid

Revision 1.22  2011/04/07 12:39:54  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.21.2.4  2011/04/03 20:47:26  wiget
- up to 2.91.93

Revision 1.21.2.3  2011/03/22 23:39:13  wiget
- up to 2.91.92
- add gnome-applet-vinagre subpackage

Revision 1.21.2.2  2011/03/18 20:20:30  wiget
- im-status plugins requires libpeas-loader-seed

Revision 1.21.2.1  2011/03/18 20:16:18  wiget
- up to 2.91.91

Revision 1.21  2011/02/04 18:24:07  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.20  2010/10/01 15:36:35  megabajt
- updated to 2.30.3

Revision 1.19  2010/06/25 21:45:36  megabajt
- updated to 2.30.2

Revision 1.18  2010/05/16 12:49:44  sparky
- BR: docbook-dtd43-xml

Revision 1.17  2010/05/07 14:19:38  megabajt
- updated to 2.30.1

Revision 1.16  2010/04/23 18:41:38  megabajt
- updated to 2.30.0
- added -devel subpackage

Revision 1.15  2009/11/18 13:31:22  patrys
- 2.28.1

Revision 1.11.2.4  2009/11/18 13:28:46  patrys
- 2.28.1

Revision 1.14  2009/10/05 21:50:02  qwiat
- rel

Revision 1.13  2009/10/05 21:32:30  qwiat
- BR

Revision 1.12  2009/09/26 22:20:24  qwiat
- updated to 2.28.0.1
- added TODO

Revision 1.11.2.3  2009/08/26 12:37:43  patrys
- 2.27.91
- still need to package -devel

Revision 1.11.2.2  2009/08/12 14:47:47  patrys
- drop old BR:

Revision 1.11.2.1  2009/08/11 21:06:22  patrys
- 2.27.90

Revision 1.11  2009/05/21 21:21:51  megabajt
- updated to 2.26.2

Revision 1.10  2009/03/18 16:25:43  patrys
- 2.26.0

Revision 1.9  2008/12/21 18:20:32  megabajt
- updated to 2.24.2
- fixes CVE-2008-5660

Revision 1.8  2008/10/23 13:41:23  megabajt
- updated to 2.24.1

Revision 1.7  2008/10/12 21:33:58  dzeus
- merged from DEVEL

Revision 1.4.2.5  2008/09/28 11:58:24  qwiat
- up to 2.24
- added BR

Revision 1.4.2.4  2008/09/13 10:40:32  patrys
- 2.23.92

Revision 1.4.2.3  2008/07/24 19:50:06  patrys
- 2.23.4

Revision 1.4.2.2  2008/06/03 09:46:25  patrys
- 2.23.3.1

Revision 1.4.2.1  2008-05-21 11:28:18  patrys
- 2.23.2

Revision 1.4.2.6  2009/03/18 16:23:47  patrys
- 2.26.0

Revision 1.4.2.5  2008/09/28 11:58:24  qwiat
- up to 2.24
- added BR

Revision 1.4.2.4  2008/09/13 10:40:32  patrys
- 2.23.92

Revision 1.4.2.3  2008/07/24 19:50:06  patrys
- 2.23.4

Revision 1.4.2.2  2008/06/03 09:46:25  patrys
- 2.23.3.1

Revision 1.4.2.1  2008-05-21 11:28:18  patrys
- 2.23.2

Revision 1.4  2008-03-11 14:39:33  patrys
- require stable GConf2

Revision 1.3  2008-03-10 17:18:26  qboosh
- pl
- unified GNOME source URL

Revision 1.2  2008-03-10 17:04:34  patrys
- 0.5.0

Revision 1.1  2007-12-12 22:32:41  patrys
- initial PLD release
